import 'package:mc_common_app/classes/app_state.dart';
import 'package:mc_common_app/extensions/int_extensions.dart';
import 'package:mc_common_app/extensions/string_extensions.dart';
import 'package:mc_common_app/generated/locale_keys.g.dart';
import 'package:mc_common_app/view_models/user_view_model.dart';
import 'package:mc_common_app/widgets/common_widgets/app_bar.dart';
import 'package:mc_common_app/widgets/button/show_fill_button.dart';
import 'package:mc_common_app/widgets/txt_field.dart';
import 'package:easy_localization/easy_localization.dart';
import 'package:flutter/material.dart';
import 'package:provider/provider.dart';

class UpdateUserDetails extends StatefulWidget {
  const UpdateUserDetails({Key? key}) : super(key: key);

  @override
  State<UpdateUserDetails> createState() => _UpdateUserDetailsState();
}

class _UpdateUserDetailsState extends State<UpdateUserDetails> {
  String firstname = "";
  String lastname = "";

  late UserVM userVM;

  @override
  void initState() {
    userVM = Provider.of<UserVM>(context, listen: false);
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: CustomAppBar(
        title: LocaleKeys.updateUserDetails.tr(),
      ),
      body: SingleChildScrollView(
        child: Container(
          // width: double.infinity,
          // height: double.infinity,
          padding: const EdgeInsets.all(20),
          child: Column(
            children: [
              TxtField(
                hint: LocaleKeys.enterNewFirstName.tr(),
                onChanged: (v) => firstname = v,
              ),
              12.height,
              TxtField(
                hint: LocaleKeys.enterNewLastName.tr(),
                onChanged: (v) => lastname = v,
              ),
              40.height,
              ShowFillButton(
                title: LocaleKeys.confirm.tr(),
                maxWidth: double.infinity,
                onPressed: () async {
                  await userVM.userDetailsUpdate(context, firstname, lastname, AppState().getUser.data!.userInfo!.cityId!.toString(), null, null);
                },
              ),
            ],
          ),
        ),
      ),
    );
  }
}
